QGIS Application - Bug report #6710
QGIS appears to support editing joined tables, but it really does not
2012-11-1508:46 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 15875
Description

- Join any table A to any table B.

- Open the attribute table for table B and enable editing. You will be able to edit the joined fields and even click "save" without any
error/warning messages. But if you close and then reopen the table you will find that the edits were not saved, because QGIS only
supports read-only joins (I think there is a ticket for read-write joins).

Also:

- The delete column dialog lists the read-only columns

- The field calculator lists the read-only columns under "update existing field"

- The joined columns are included in the new "Column Preview" list (in QGIS 2 - see description below). But if you select one of them, you
get an error message.

History

#1 - 2012-11-16 12:45 AM - Alister Hood

Also tested in 1.8
The only difference is that in 1.8 the table updates when you "save" - you don't need to close and reopen it to see that the changes were not saved.

#2 - 2012-11-16 12:57 AM - Giovanni Manghi
- Status changed from Open to Feedback

Alister Hood wrote:

Also tested in 1.8
The only difference is that in 1.8 the table updates when you "save" - you don't need to close and reopen it to see that the changes were not saved.

S0, seems a regression, right?

#3 - 2012-11-16 01:09 AM - Alister Hood

No. The important bug is this part:

You will be able to edit the joined fields and even click "save" without any error/warning messages.

Not this part:
need to close and reopen it to see that the changes were not saved.

#4 - 2012-12-12 02:29 PM - Alister Hood

[Added two more symptoms to the description]

#5 - 2013-06-17 09:27 PM - Alister Hood

This has improved somewhat in master. If you try to delete a joined column or edit a joined field it fails silently, but now at least you can still see that
nothing has actually changed.

There is another new issue: if you click the left button in the bottom right of the attribute table (BTW, what is it called? These buttons need tooltips), then
click the drop-down thing at the top left, the joined columns will be included in the "Column Preview" list. But if you select one of them, you get an error

message:

Could not set column 'Column_name' as preview column.
Parser error:

syntax error, unexpected COLUMN_REF, expecting $end

#6 - 2014-10-11 07:03 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

all issues seems solved to me in master: joined columns are clearly marked in several dialogs (like the delete column one) and the error described in the

last comment does not show anymore.
